Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer
Class AbstractMonitoringWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

Direct Known Subclasses:
  AbstractAsyncWriter, DummyWriter, JMXWriter, PipeWriter, PrintStreamWriter, SyncDbWriter, SyncFsWriter

    public abstract class AbstractMonitoringWriter

extends Object
implements IMonitoringWriter

Since:
  1.3
Author:
  Jan Waller, Robert von Massow

Method Summary
`boolean` | `newMonitoringRecordNonBlocking(IMonitoringRecord record)` Overwrite this method if necessary.
`void` | `setController(IMonitoringController controller)` Set the `IMonitoringController` controlling this writer.
`String` | `toString()` Delivers a string representation of this writer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kieker.monitoring.writer.IMonitoringWriter
`newMonitoringRecord, terminate`

Method Detail

### toString

    public String toString()

  Description copied from interface: `IMonitoringWriter`
  Delivers a string representation of this writer.

  Specified by:
    `toString` in interface `IMonitoringWriter`
  Overrides:
    `toString` in class `Object`
  Returns:
    A string.

### setController

    public final void setController(IMonitoringController controller)
                             throws Exception

  Description copied from interface: `IMonitoringWriter`
  Set the `IMonitoringController` controlling this writer.

  Specified by:
    `setController` in interface `IMonitoringWriter`
  Parameters:
    `controller` - The monitoring controller which will be the new parent of this writer.
  Throws:
    `Exception` - If something went wrong.

### newMonitoringRecordNonBlocking

    public boolean newMonitoringRecordNonBlocking(IMonitoringRecord record)

  Overwrite this method if necessary.

  Specified by:
    `newMonitoringRecordNonBlocking` in interface `IMonitoringWriter`
  Parameters:
    `record` - the record.
  Returns:
    true on success; false in case of an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net